[paludis-user] Different use flags

Eduardo Suarez-Santana esuarez at itccanarias.org
Wed Feb 24 19:52:57 UTC 2010


Ciaran McCreesh wrote:
> On Sat, 20 Feb 2010 12:11:43 +0000
> Eduardo Suarez-Santana <esuarez at itccanarias.org> wrote:
>   
>> I have boost 1.35.0-r5 installed with python flag. When I try to
>> update tagpy it needs
>>                 <dev-libs/boost-1.35.0-r5
>>                 >=dev-libs/boost-1.35.0-r5[python].
>> However, paludis decides to downgrade it. Does it make sense?
>>     
>
> That kind of trickery's not supported by the old resolver (nor is it
> supported by Portage). You'll get fairly dumb results from both...
>
> The new resolver does get that right, but we're a few releases away
> from switching to that yet.
>   
Thanks for the explanation.

-Eduardo



More information about the paludis-user mailing list